{
    "$graph": [
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "MultipleInputFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "boolean",
                    "default": true,
                    "id": "#main/IL_equivalent"
                },
                {
                    "type": "boolean",
                    "default": true,
                    "id": "#main/allow_unmatched"
                },
                {
                    "type": "string",
                    "id": "#main/bait"
                },
                {
                    "type": "string",
                    "default": "full",
                    "id": "#main/enzyme_specificity"
                },
                {
                    "type": "File",
                    "id": "#main/fasta"
                },
                {
                    "type": "string",
                    "id": "#main/idxml_output"
                },
                {
                    "type": "string",
                    "default": "silent",
                    "id": "#main/missing_decoy_action"
                },
                {
                    "type": "File",
                    "id": "#main/mztab"
                },
                {
                    "type": "string",
                    "id": "#main/mztab_output"
                },
                {
                    "type": "File",
                    "id": "#main/mztab_to_csv_py"
                },
                {
                    "type": "File",
                    "id": "#main/mztab_to_idxml_py"
                },
                {
                    "type": "File",
                    "id": "#main/psm_R"
                }
            ],
            "steps": [
                {
                    "run": "#mztab_exporter.cwl",
                    "in": [
                        {
                            "source": "#main/peptide_indexer/idxml",
                            "id": "#main/mztab_exporter/input"
                        },
                        {
                            "source": "#main/mztab_output",
                            "id": "#main/mztab_exporter/mztab_output"
                        }
                    ],
                    "out": [
                        "#main/mztab_exporter/mztab"
                    ],
                    "id": "#main/mztab_exporter"
                },
                {
                    "run": "#mztab_to_csv.cwl",
                    "in": [
                        {
                            "source": "#main/bait",
                            "id": "#main/mztab_to_csv/bait"
                        },
                        {
                            "source": "#main/mztab_exporter/mztab",
                            "id": "#main/mztab_to_csv/mztab"
                        },
                        {
                            "source": "#main/mztab_to_csv_py",
                            "id": "#main/mztab_to_csv/mztab_to_csv_py"
                        }
                    ],
                    "out": [
                        "#main/mztab_to_csv/csv"
                    ],
                    "id": "#main/mztab_to_csv"
                },
                {
                    "run": "#mztab_to_idxml.cwl",
                    "in": [
                        {
                            "source": "#main/bait",
                            "id": "#main/mztab_to_idxml/bait"
                        },
                        {
                            "source": "#main/mztab",
                            "id": "#main/mztab_to_idxml/mztab"
                        },
                        {
                            "source": "#main/mztab_to_idxml_py",
                            "id": "#main/mztab_to_idxml/mztab_to_idxml_py"
                        }
                    ],
                    "out": [
                        "#main/mztab_to_idxml/idxml"
                    ],
                    "id": "#main/mztab_to_idxml"
                },
                {
                    "run": "#peptide_indexer.cwl",
                    "in": [
                        {
                            "source": "#main/IL_equivalent",
                            "id": "#main/peptide_indexer/IL_equivalent"
                        },
                        {
                            "source": "#main/allow_unmatched",
                            "id": "#main/peptide_indexer/allow_unmatched"
                        },
                        {
                            "source": "#main/enzyme_specificity",
                            "id": "#main/peptide_indexer/enzyme_specificity"
                        },
                        {
                            "source": "#main/fasta",
                            "id": "#main/peptide_indexer/fasta"
                        },
                        {
                            "source": "#main/idxml_output",
                            "id": "#main/peptide_indexer/idxml_output"
                        },
                        {
                            "source": "#main/mztab_to_idxml/idxml",
                            "id": "#main/peptide_indexer/input"
                        },
                        {
                            "source": "#main/missing_decoy_action",
                            "id": "#main/peptide_indexer/missing_decoy_action"
                        }
                    ],
                    "out": [
                        "#main/peptide_indexer/idxml"
                    ],
                    "id": "#main/peptide_indexer"
                },
                {
                    "run": "#psm.cwl",
                    "in": [
                        {
                            "source": "#main/bait",
                            "id": "#main/psm/bait"
                        },
                        {
                            "source": "#main/mztab_to_csv/csv",
                            "id": "#main/psm/csv"
                        },
                        {
                            "source": "#main/psm_R",
                            "id": "#main/psm/psm_R"
                        }
                    ],
                    "out": [
                        "#main/psm/csv"
                    ],
                    "id": "#main/psm"
                }
            ],
            "id": "#main",
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/psm/csv",
                    "id": "#main/psm"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "/Applications/OpenMS-2.4.0/bin/MztabExporter"
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1,
                        "prefix": "-in"
                    },
                    "id": "#mztab_exporter.cwl/input"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 2,
                        "prefix": "-out"
                    },
                    "id": "#mztab_exporter.cwl/mztab_output"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.mztab_output)"
                    },
                    "id": "#mztab_exporter.cwl/mztab"
                }
            ],
            "id": "#mztab_exporter.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "python3"
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 3
                    },
                    "id": "#mztab_to_csv.cwl/bait"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 2
                    },
                    "id": "#mztab_to_csv.cwl/mztab"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#mztab_to_csv.cwl/mztab_to_csv_py"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.bait).csv"
                    },
                    "id": "#mztab_to_csv.cwl/csv"
                }
            ],
            "id": "#mztab_to_csv.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "python3"
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 3
                    },
                    "id": "#mztab_to_idxml.cwl/bait"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 2
                    },
                    "id": "#mztab_to_idxml.cwl/mztab"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#mztab_to_idxml.cwl/mztab_to_idxml_py"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.bait).idxml"
                    },
                    "id": "#mztab_to_idxml.cwl/idxml"
                }
            ],
            "id": "#mztab_to_idxml.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "/Applications/OpenMS-2.4.0/bin/PeptideIndexer"
            ],
            "inputs": [
                {
                    "type": "boolean",
                    "inputBinding": {
                        "position": 5,
                        "prefix": "-IL_equivalent"
                    },
                    "id": "#peptide_indexer.cwl/IL_equivalent"
                },
                {
                    "type": "boolean",
                    "inputBinding": {
                        "position": 7,
                        "prefix": "-allow_unmatched"
                    },
                    "id": "#peptide_indexer.cwl/allow_unmatched"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 6,
                        "prefix": "-enzyme:specificity"
                    },
                    "id": "#peptide_indexer.cwl/enzyme_specificity"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 2,
                        "prefix": "-fasta"
                    },
                    "id": "#peptide_indexer.cwl/fasta"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 3,
                        "prefix": "-out"
                    },
                    "id": "#peptide_indexer.cwl/idxml_output"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1,
                        "prefix": "-in"
                    },
                    "id": "#peptide_indexer.cwl/input"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 4,
                        "prefix": "-missing_decoy_action"
                    },
                    "id": "#peptide_indexer.cwl/missing_decoy_action"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.idxml_output)"
                    },
                    "id": "#peptide_indexer.cwl/idxml"
                }
            ],
            "id": "#peptide_indexer.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "Rscript"
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 3
                    },
                    "id": "#psm.cwl/bait"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 2
                    },
                    "id": "#psm.cwl/csv"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#psm.cwl/psm_R"
                }
            ],
            "outputs": [
                {
                    "$import": "#psm.cwl/csv"
                }
            ],
            "id": "#psm.cwl"
        }
    ],
    "cwlVersion": "v1.0"
}
